<template>
  <el-upload v-model:file-list="fileList" action="#" list-type="picture-card"
    :on-progress="handlePictureCardPreview" :on-remove="handleRemove">
    <el-icon>
      <Plus />
    </el-icon>
  </el-upload>

  <el-dialog v-model="dialogVisible">
    <img w-full :src="dialogImageUrl" alt="Preview Image" />
  </el-dialog>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { Plus } from '@element-plus/icons-vue'
import type { UploadProps, UploadUserFile } from 'element-plus'
import axios, { Axios } from 'axios'

const fileList = ref<UploadUserFile[]>([

])

const dialogImageUrl = ref('')
const dialogVisible = ref(false)

const handleRemove: UploadProps['onRemove'] = (uploadFile, uploadFiles) => {
  console.log(uploadFile, uploadFiles)
}

const handlePictureCardPreview: UploadProps['onPogress'] = (uploadFile, uploadFiles) => {
  console.log(fileList.value);
  let formData = new FormData();
  formData.append('file[]',fileList.value)
  axios.post('/api/schoolCloud/pages/addpost/select_top.php',formData)
    .then(res => {
      console.log(res.data)
      // 根据返回的响应数据进行相应的操作
    }).catch(err => {
      console.log(err)
    })
}
</script>
